summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xTools/mkdist.py12
-rwxr-xr-xTools/mkwindows.sh3
2 files changed, 8 insertions, 7 deletions
diff --git a/Tools/mkdist.py b/Tools/mkdist.py
index 4fba4701d..3d631607a 100755
--- a/Tools/mkdist.py
+++ b/Tools/mkdist.py
@@ -42,18 +42,18 @@ if dirname.lower() != dirname:
sys.exit(3)
# If directory and tarball exist, remove it
-print("Removing " + dirname)
if check_dir_exists(dirpath):
+ print("Removing " + dirpath)
run_command("rm", "-rf", dirpath)
-print("Removing " + dirname + ".tar if exists")
filename = dirpath + ".tar"
if check_file_exists(filename):
+ print("Removing " + filename)
run_command("rm", "-rf", filename)
-print("Removing " + dirname + ".tar.gz if exists")
filename += ".gz"
if check_file_exists(filename):
+ print("Removing " + filename)
run_command("rm", "-rf", filename)
# Grab the code from git
@@ -89,10 +89,10 @@ if not skip_checks:
print("Tagging release")
tag = "v" + version
-force = "-f " if force_tag else ""
+force = "-f" if force_tag else ""
command = ["git", "tag", "-a", "-m", "'Release version " + version + "'"]
-force and command.extend(force, tag)
-not force and command.append(tag)
+force and command.append(force)
+command.append(tag)
run_command(*command) == 0 or failed()
outdir = dirname + "/"
diff --git a/Tools/mkwindows.sh b/Tools/mkwindows.sh
index e6ae84350..5e4d2f0fd 100755
--- a/Tools/mkwindows.sh
+++ b/Tools/mkwindows.sh
@@ -115,8 +115,9 @@ if test -f "$tarball"; then
./configure $extraconfigureoptions --without-alllang
echo "Compiling (quietly)..."
make > build.log
- echo "Simple check to see if swig.exe runs..."
+ echo "Simple check to see if swig.exe runs and show versions..."
env LD_LIBRARY_PATH= PATH= $wine ./swig.exe -version || exit 1
+ env LD_LIBRARY_PATH= PATH= $wine ./swig.exe -pcreversion || exit 1
echo "Simple check to see if ccache-swig.exe runs..."
env LD_LIBRARY_PATH= PATH= $wine ./CCache/ccache-swig.exe -V || exit 1
echo "Creating $swigwinbasename.zip..."